<!DOCTYPE HTML>
<html>
	<head>
		<!-- <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, target-densityDpi=device-dpi"/> -->
		<meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height"/>

		<title>InkChat</title>
		<link href='http://fonts.googleapis.com/css%3Ffamily=Droid+Sans.css' rel='stylesheet' type='text/css'>

		<!-- Base styling -->
		<style type="text/css">
			html { overflow: hidden; -ms-touch-action: none; }

			body {
				margin: 0px;
				font-family: 'Droid Sans', sans-serif;
				overflow: 'hidden';
				-ms-touch-action: none;
			}

			input {
				font-family: 'Droid Sans', sans-serif;
			}

			canvas {
				-ms-touch-action: none;
			}

			#sketch {
				position: fixed;
				top: 0px;
				left: 0px;
			  	margin: 0px;
			}

			input[type="range"] {
				-webkit-appearance:none; 
				-moz-apperance:none; 
				width:100%; 
				height:4px; 
				background: rgba(0,0,0,0);
				border:none;
			}

			.unselectable {
			    -moz-user-select: -moz-none;
			    -khtml-user-select: none;
			    -webkit-user-select: none;
			    -o-user-select: none;
			    user-select: none;
			}

			*:focus {
				outline: none;
			}
			
			
			
			.qbswbtop button{
				float: none!important;
				display: block;
				height: 20px!important;
				width: 25px!important;
			}
			
			.qbswbtop img{
			
				width: 13px!important;
			}
			
			.qbswbbottom img, input {
				height: 13px!important;
			}
			
			.qbstext {
				margin-top: 4px!important;
			}

			.qbswbbottom button {
				float: left!important;
				height: 25px!important;
			}
			.qbswbbottom {
				height: 25px!important;
			}
			
		</style>

	    <meta name="google-signin-clientid" content="1069447142747-c3s7f5k4oovd3qj2664jmbrqo85338kh.apps.googleusercontent.com" />
		<meta name="google-signin-scope" content="https://www.googleapis.com/auth/plus.login" />
		<meta name="google-signin-requestvisibleactions" content="http://schema.org/AddAction" />
		<meta name="google-signin-cookiepolicy" content="single_host_origin" />

	</head>

	<body id="mainBody" scroll="no">

		<!-- Google Login Requires -->
		<script type="text/javascript">
	      (function() {
	       var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
	       po.src = 'https://apis.google.com/js/client:plusone.js';
	       var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
	     })();
	    </script>

	    <!-- Facebook Login Requires -->
	    <script>
	    window.fbAsyncInit = function() {
		    FB.init({
		      appId      : '975182035841910',
		      xfbml      : true,
		      version    : 'v2.1'
		    });
		};

		(function(d, s, id){
		     var js, fjs = d.getElementsByTagName(s)[0];
		     if (d.getElementById(id)) {return;}
		     js = d.createElement(s); js.id = id;
		     js.src = "//connect.facebook.net/en_US/sdk.js";
		     fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'facebook-jssdk'));
		</script>

		<div id= "bodyContainer" >
			
			<div id="sketch" class= "unselectable">
				<canvas id="paint" action="TogetherJS(this); return false;"></canvas>
			</div>

			<!-- Loader Screen -->
			<script type="text/javascript" src="scripts/loader.js"></script>
			<script type="text/javascript">
				window.loader = new LoaderDialog(4);
				window.loader.start();
			</script>

			<!-- External scripts -->
			<script type="text/javascript" src="scripts/external/jquery.js"></script>
			<script type="text/javascript" src="scripts/external/fabric.js"></script>
			<script type="text/javascript" src="scripts/external/dropbox-dropins.js" id="dropboxjs" data-app-key="vmmlqmy36ztesnv"></script>
			<script type="text/javascript" src="scripts/external/filesaver.js"></script>
			
			<script type="text/javascript" src="scripts/external/socketio.js"></script>
			
			<script type="text/javascript" src="scripts/external/mathquill.js"></script>
			<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_SVG"></script>
			<script type="text/javascript" src="scripts/external/hammer.js"></script>
			<script type="text/javascript" src="scripts/external/pdf.js"></script>
			<script type="text/javascript" src="scripts/external/pdfcompatibility.js"></script>
			<script type="text/javascript">
				PDFJS.workerSrc = "scripts/external/pdf.worker.js";
			</script>
			<script type="text/javascript" src="scripts/external/jquery.hotkeys.js"></script>
			<script type="text/javascript" src="scripts/external/lz-string.js"></script>

			<!-- External styles -->
			<link rel="stylesheet" type="text/css" href="styles/mathquill.css">

			<script type="text/javascript">
				//Set Version Number (Here is important)
				window.INKCHAT_CURRENT_VERSION = "2.0.64 beta" //Version Number is defined here for entire program
				window.DEBUG = true; //Turns on Debug Init Code
				window.postMainControlBarLoad = new Array();
				window.postStatusControlBarLoad = new Array();
				window.loader.step();
			</script>

			<!-- Internal scripts -->
			<script type="text/javascript" src="scripts/inkchat.js"></script>
			<script type="text/javascript" src="menus/main_menu/layout.js"></script>
			<script type="text/javascript" src="menus/status_bar/layout.js"></script>
			
			

			<!-- Cordova Switch to Online Version if Network Enabled -->
			<script type="text/javascript">

				function configureForAndroid(){
					//Disable Buttons that do not work on Android
			    	window.allControlButtons["brushTypesMathMenuItem"].enabled = false;
			    	window.allControlButtons["brushTypesTextMenuItem"].enabled = false;
			    	updateActiveMenuBars();
				}

				function configureForAndroidOffline(){
					console.log("Network Not Detected Disabling Buttons");
			    	//Disable Buttons here if not connected
					window.allControlButtons["loadFromDropbox"].enabled = false;
			    	window.allControlButtons["loadFromURL"].enabled = false;
			    	window.allControlButtons["saveToDropbox"].enabled = false;
			    	window.allControlButtons["googleLoginMenuItem"].enabled = false;
			    	window.allControlButtons["fbookLoginMenuItem"].enabled = false;
			    	window.allControlButtons["shareLinkItem"].enabled = false;
			    	window.allControlButtons["shareAddMenuItem"].enabled = false;
			    	window.allControlButtons["showUserList"].enabled = false;
			    	configureForAndroid();
				}
				function cordovaInkChatConfigure(){
					checkServerStatus("https://bhavinder.gitlab.io/webrtc/whiteboard/white/js/dummy.js", function(con){
						if(con){
							window.location = "https://bhavinder.gitlab.io/webrtc/whiteboard/white/app/inkchat_app.html?android"
						}
					});

					//Work on Cordova is currently stalled due to issues... This is here for 
					//future reference to try and fix those issues.  For now in browser is 
					//the only fully supported Inkchat

					// var div = document.createElement('div');
					// div.style.position = "absolute";
					// div.style.zIndex = "100";
					// div.style.top = "50px";
					// var p = document.createElement('p');
					console.log("foo");
					// if(isPhoneGap()){
					// 	var networkState = navigator.connection && navigator.connection.type;

					// 	setTimeout(function(){
				 //            networkState = navigator.connection && navigator.connection.type;

				 //            console.log("In PhoneGap");
							

					// 	    if (networkState != Connection.NONE && networkState != Connection.UNKNOWN){
					// 	    	console.log("Network Detected");
					// 	        window.open('http://inkchat.org/app/inkchat_app.html', '_self');
					// 	    }
					// 	    else{
					// 	    	configureForAndroidOffline();
					// 	    }

				 //        }, 500);
						
					// }

					//div.appendChild(p);
					//document.getElementById("bodyContainer").appendChild(div);
				}

			</script>

			<script type="text/javascript">
				window.loader.step();

				window.BODY = document.getElementById("bodyContainer");
				window.dpi = 96; //Get real dpi;

				window.fabricCanvases = new Array();
				//window.focusedViewport = {x: 0, y: 0, zoom: 1};
				fabricCanvas = initCanvas("paint", window.innerWidth, window.innerHeight, {ox: 0, oy: 0, x: 0, y: 0, zoom: 1});
				initCanvasMain();


				window.loader.step();
				
				var configure = function(){
					if(window.location.search == "?android"){
						configureForAndroid();
					}
				}

				initControls(configure);
				initEvents();

				window.loader.step();
				window.loader.end();
				

			</script>
			
			<script src="https://togetherjs.com/togetherjs-min.js"></script>
		</div>
	</body>
</html>
